Subject: [mobile-ip] RE: Comments on rfc3012bis-05

From: "Jayshree Bharatia" <[email-masked]>
Date: Mon, 2 Jun 2003 16:11:15 -0500

Hi Ali,

Thanks for your comments. I will incorporate your comments in the next
version of this draft.

Regards,
Jayshree

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Monday, June 02, 2003 1:57 PM
> To: [email-masked]; Bharatia, Jayshree 
> [RICH1:2H13:EXCH]
> Subject: Comments on rfc3012bis-05
> 
> 
> The sections that I thought needed modification in 3012bis-05 
> (regarding the MN-AAA extension in co-located mode as well as 
> the forwarding of the same extension by the FA to the HA) 
> look good to me. Thanks to all who commented on our 
> suggestion and also to Jayshree for the editorial work.
> 
> I went through the document and wanted to point out a few 
> spelling and grammer corrections that may be needed.. regards, ali
> 
> 
> --------------------------------------------------------------
> ----------------------
> 1. Introduction
> [...]
>    to authenticate the mobile node.  Furthermore, an **** 
> addtional ****
>    authentication extension, the MN-AAA authentication 
> extension, [...]
> >>> ali >>> spelling: additional
> --------------------------------------------------------------
> ----------------------
> 3.1. Mobile Node Processing for Registration Requests
> [...]
>    Mobile-AAA Authentication extension.  If present, the Mobile-AAA
>    extension MUST precede **** to ****the Mobile-Foreign 
> Authentication [...]
>    MAY include the Mobile-AAA Authentication extension in 
> **** ****Registration
>    Request.  In this case, if the Mobile Node uses SPI value 
> of CHAP_SPI [...]
> >>> ali >>> grammer: remove 'to'
> >>> ali >>> grammer: add "the" Registration Request, or make it
> Registration Requests.
> --------------------------------------------------------------
> ----------------------
> 3.2. Foreign Agent Processing for Registration Requests
> [...]
>    be the same Challenge value that was included in the Registration
>    Request.  If the Challenge value **** defers **** in the 
> Registration Reply [...]
> >>> ali >>> spelling: replace with 'differs'.
> --------------------------------------------------------------
> ----------------------
> 4. Mobile-Foreign Challenge Extension
> [...]
>    Suppose the Mobile Node has successfully registered using 
> one of the
>    Challenge Values within the CHALLENGE_WINDOW **** values 
> **** advertised by the [...]
> >>> ali >>> Singular 'value' is needed here I think.
> --------------------------------------------------------------
> ----------------------
> 5. Generalized Mobile IP Authentication Extension
> [...]
> Subtype         a number assigned to identify the kind of
>                           endpoints or **** the **** other 
> characteristics of the [...]
> >>> ali >>> grammer: remove 'the'.
> --------------------------------------------------------------
> ----------------------
> 6. Mobile-AAA Authentication subtype
> [...]
>    Registration Request.  This extension MAY co-exist in the same
>    Registration Request with **** Authetication **** 
> extensions defined for Mobile [...]
>    is present.  If present, the Mobile-AAA extension MUST 
> precede **** to **** the
>    Mobile-Foreign Authentication extension.
> [...]
>     outside of the SPIs in the reserved range 0-255 for 
> selection of this
>    **** default **** algorithm.
> [...]
> >>> ali >>>: spelling: Authentication
> >>> ali >>>: grammer: remove 'to'
> >>> ali >>>" I do not think you want the word 'default' in there, but 
> >>> not sure.
> --------------------------------------------------------------
> ----------------------
> D. Message Flow for FA Challenge Messaging with MN-FA 
> Authentication [...]
>        advertised Challenge Value in the Challenge Extension, 
> along with
>        **** an **** Mobile-Foreign Authentication extension. [...]
>        3. The foreign agent relays the Registration Request 
> **** either **** to the
>        home agent specified by the mobile node.
> [...]
> >>> ali >>>: spelling: replace with 'a'.
> >>> ali >>>: grammer: either something or something else ???
> --------------------------------------------------------------
> ----------------------
> 
> 
> 
> 
> 
>